TI Panda 4430 and 4460 booting failed on Linux Linaro ubuntu.

Bug #1184956 reported by Botao on 2013-05-28
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Linaro Ubuntu
Critical
Andrey Konovalov

Bug Description

On TI Panda 4430 and 4460 board with Linux Linaro ubuntu image:

http://snapshots.linaro.org/ubuntu/pre-built/panda/344/panda-raring_developer_20130526-344.img.gz

System booting failed:

################################
Welcome to minicom 2.5

OPTIONS: I18n
Compiled on May 2 2011, 10:05:24.
Port /dev/ttyUSB0

Press CTRL-A Z for help on special keys

U-Boot SPL 2013.01.-rc1 (May 17 2013 - 04:08:08)
OMAP4430 ES2.2
OMAP SD/MMC: 0
reading u-boot.img
reading u-boot.img

U-Boot 2013.01.-rc1 (May 17 2013 - 04:08:08)

CPU : OMAP4430 ES2.2
Board: OMAP4 Panda
I2C: ready
DRAM: 1 GiB
MMC: OMAP SD/MMC: 0
Using default environment

In: serial
Out: serial
Err: serial
Net: No ethernet found.
checking for preEnv.txt
reading preEnv.txt
** Unable to read file preEnv.txt **
Hit any key to stop autoboot: 0
mmc0 is current device
reading uEnv.txt
** Unable to read file uEnv.txt **
reading boot.scr
514 bytes read
Loaded script from boot.scr
Running bootscript from mmc0 ...
## Executing script at 82000000
reading uImage
4482360 bytes read
reading uInitrd
1883078 bytes read
reading board.dtb
17015 bytes read
## Booting kernel from Legacy Image at 80200000 ...
   Image Name: Linux
   Image Type: ARM Linux Kernel Image (uncompressed)
   Data Size: 4482296 Bytes = 4.3 MiB
   Load Address: 80008000
   Entry Point: 80008000
   Verifying Checksum ... OK
## Loading init Ramdisk from Legacy Image at 81600000 ...
   Image Name: initramfs
   Image Type: ARM Linux RAMDisk Image (uncompressed)
   Data Size: 1883014 Bytes = 1.8 MiB
   Load Address: 00000000
   Entry Point: 00000000
   Verifying Checksum ... OK
## Flattened Device Tree blob at 815f0000
   Booting using the fdt blob at 0x815f0000
   Loading Kernel Image ... OK
OK
   reserving fdt memory region: addr=9d000000 size=3000000
   Using Device Tree in place at 815f0000, end 815f7276

Starting kernel ...

Fathi Boudra (fboudra) on 2013-05-28
Changed in linaro-ubuntu:
importance: Undecided → Critical
assignee: nobody → Andrey Konovalov (andrey-konovalov)
status: New → Confirmed
milestone: none → 13.05
Fathi Boudra (fboudra) wrote :

Could you try http://snapshots.linaro.org/ubuntu/pre-built/panda/347/panda-raring_developer_20130529-347.img.gz
It should boot. However there's known issues: USB is broken (network wont't work).

Changed in linaro-ubuntu:
status: Confirmed → In Progress
Botao (botao-sun) wrote :

@Fathi, Yes, for TI Panda board with Linux Linaro ubuntu image:

http://snapshots.linaro.org/ubuntu/pre-built/panda/347/panda-raring_developer_20130529-347.img.gz

The system can be booted successfully. Please refer to attachment to get the full serial console output.

Fathi Boudra (fboudra) wrote :

Thanks Botao. Marking the bug fix-commited. We'll need another bug to track usb/network issue.

Changed in linaro-ubuntu:
status: In Progress → Fix Committed
Fathi Boudra (fboudra) on 2013-05-31
Changed in linaro-ubuntu:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers